Page 1 sur 1

VERSION 3.3.3 (09-2017) - OLD

Publié : 14 sept. 2017, 10:54
par xech
VERSION 3.3.3 (09-2017) - NEW !
###########################

Bonjour à tous!

Voici une nouvelle version avec quelques optimisations et corrections diverses :
- Optimisations diverses du CSS et Javascript
- Optimisation de l'affichage responsive (js & css)
- Meilleur affichage des événements de calendrier
- Corrections diverses d'affichage en mode "Black"
- Correction des sauvegardes sur perso.free.fr
- Mise à jour de Fancybox en v3.1.24

Pour les hébergement indépendants, vous trouverez la procédure d'installation ou de mise à jour à la fin de cette documentation
Concernant les espaces Omnispace, vous n'aurez rien à faire : la mise à jour interviendra automatiquement dans les prochains jours.

.

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 14 sept. 2017, 12:33
par scapinval
Bonjour,

j'ai eu plusieurs pbs (sauvegarde illisible, pas d'image dans le texte des news, impossibilité de voir les images dans fichiers, ...)

Merci à Xech qui a pris du temps pour me mettre sur la piste, et mis fin à mon désespoir !(sourire)

Dans ce cas, j'ai réinstallé l'appli (sans les mises à jour successives, mais en prenant directement la dernière version),
et ressaisi mes quelques données, car en phase de démarrage,
et tout va bien maintenant

Merci encore

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 22 sept. 2017, 10:07
par denis-37
Bonjour,
J'ai vérifié le problème concernant l'affichage de deux éléments simultanés? cela fonctionne toujours sur la vue mensuel mais toujours pas sur la vue semaine.

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 23 sept. 2017, 08:09
par xech
@denis-37: cette évolution arrivera très prochainement mais elle n'est pas encore intégrée sur cette version
Cordialement
xech

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 30 sept. 2017, 07:52
par koolman50
Bonjour et merci pour cette nouvelle version !

Un petit soucis avec la commande escapeshellcmd dans le fichier class.phpmailer, j'ai ce message d'erreur :

" ! Warming escapeshellcmd() has been disabled for security updates reasons in
/sur/filer02/uprlille01/www/mineurs/app/misc/phpmailer/class.phpmailer.php on line 1442

En me renseignant, je sais maintenant que l'hébergeur ne permet pas l'usage de cette commande pour des raisons " de sécurité".
Bref parfois les mails partent, parfois non, mais un message d'erreur s'affiche toujours en haut de page signalant les deux lignes ci-dessus.

Question : peut on contourner l'usage de cette commande et conserver la messagerie d'agora ?

Sinon y'a t'il une solution autre en programmation (toujours afin de contourner) ?

La proposition de l'hébergeur est de passer en VPS (pas cool) ...

Merci pour les réponses éventuelles.

Excellente continuation.

KM

Erreur produite chez certains hébergeurs par escapeshellcmd

Publié : 30 sept. 2017, 08:14
par koolman50
Bonjour,

Je réponds à ma demande effectuée il y a quelques minutes (désolé c'est du live !).
Il semblerait que en modifiant la commande escapeshellcmd par escapeshellarg tout rentre dans l'ordre.

Le module d'agora concerné est :
app/misc/phpmailer/class.phpmailer.php

A télécharger via fillezilla par exemple, puis ouvrir avec notepad+ (par exemple aussi).

Là utilisez la commande CTRL + F et placez dans la fenêtre de recherche le mot : escapeshellcmd cela vous emmènera aux lignes 1383, 1442 et 1443

Remplacez la commande escapeshellcmd par escapeshellarg
Sauvegardez ce fichier.

Par connexion en FTP (filezilla) allez sur votre hébergement et renommer en lieu et place le fichier class.phpmailer.php par "ORIG class.phpmailer.php" afin de conserver une copie et pouvoir revenir en arrière.

Transférez votre fichier class.phpmailer.php modifié puis essayez ...

Au plaisir de vous lire ... après essais.

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 04 oct. 2017, 16:21
par scapinval
j'avais le même pb gênant :
cette modif fonctionne parfaitement chez moi (hébergeur Hostinger)

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 04 oct. 2017, 16:23
par thomas@alsanet.eu
Bonjour,

Je suis en version 3.3.3 PHP 7.06 MySQL 5.5.57-0. Depuis la version 3.2.1 je rencontre un problème lors d'un upload > à environ 25Mo.
L'Upload se déroule correctement jusqu'à 100% puis le texte suivant apparait au-dessus de la fenêtre de téléchargement:

Erreur HTTP.
L'URL d'envoi est soit erronée soit n'existe pas.

Puis le message disparait et le fichier n'apparait jamais dans Agora.

Dans le PHP.ini j'ai les paramètres suivant:

upload_max_filesize = 1000M
post_max_size = 1000M
max_file_uploads = 1000M

Quelqu'un à une idée ?

Merci

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 08 oct. 2017, 14:10
par its9000
Bonjour,

Cette version fonctionne très bien de mon côté, testée et validée.
Le mode "black" est maintenant bien lisible et agréable à utiliser, parfait.
Elle corrige aussi un bug d'affichage.
Merci encore pour tout le travail effectué au fil des années afin de nous proposer un logiciel de qualité et en constante évolution ;)

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 11 oct. 2017, 08:46
par jcmarvillet
Bonjour.
Et un grand bravo pour votre projet Agora que je suis + ou - assidûment depuis un long moment pour notre club de Canoë Kayak (je trouve une version 2.13.2 sur mon PC... est ce la première que j'ai installée... je ne sais plus).
A l'origine : ckvaureal.free.fr
Aujourd'hui : ckcergypontoise.free.fr
Site réalisé via Joomla! dans lequel nous avons un lien vers notre Agora que nous avons baptisé "Local virtuel" pour le partage de document et d'agenda, ...
Je viens d'installer la version 3.3.3 et j'essaie d'importer un fichier ICS extrait de Google Agenda... sans succès ! :(
Y a t il un bug connu à ce sujet ?
Merci par avance pour votre aide
PS : j'ai testé l'import du même fichier sur Thunderbid/Lightning et il se charge impec.

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 26 oct. 2017, 00:58
par stephaneSP
Bonjour,

depuis quelque mise a jours, celle ci comprise, je n'ai plus accès lors de l'edition de message, news et autre a tous les paramètre de mise en page que l'on trouvais avant avec "TinyMCE"
https://www.tinymce.com
Et nottament l'integration de video, image, etc...
Ces fonctionnalités ont disparu ou ça viens de ma configuration ?

Sur un autre Agora en 3.2.1 tout est OK.

merci

Re: VERSION 3.3.3 (09-2017) - NEW !

Publié : 26 oct. 2017, 16:07
par xech
Bonjour à tous,
Vous trouverez sur la nouvelle version 3.3.4 de nombreux correctifs aux principaux problèmes rencontrés précédemment.
En ce qui concerne l'intégration des images via tinyMce, le menu d'insertion a été retiré par défaut car cela se passe dans le menu juste en dessous "ajouter une image ou un fichier". Si vous souhaitez le remettre, allez dans le paramétrage de "\app\Common\Vue\VueHtmlEditor" et ajoutez "image" à la ligne "optionsToolbar1".